ChiliProject - Bug # 595: Unable to install rmagick on Ruby 1.9

Status: Duplicate Priority: Normal
Author: Toshi MARUYAMA Category:
Updated: 2011-09-16 Due date:

Remote issue URL:

Affected version: master

Description:

2020-10-25

On Fedora Linux 12 32bit.

<pre>
$ ruby --version
ruby 1.9.2p290 (2011-07-09 revision 32553) [i686-linux]

$ gitlog -n1 | cat

commit a24a24eb1980625fbc4558fc44f15498e883d2d9
Author: Felix SchA=fer

Date: Thu Aug 25 18:46:53 2011 +0200

Add deferred loading for plugins which's requirements aren't all met yet #256

$ bundle install

Fetching source index for http://rubygems.org/
Using rake (0.9.2)

Using activesupport (2.3.14)

Using rack (1.1.2)

Using actionpack (2.3.14)

Using actionmailer (2.3.14)

Using activerecord (2.3.14)

Using activeresource (2.3.14)

Using archive-tar-minitar (0.5.2)
Using coderay (0.9.8)

Using columnize (0.3.4)

Using edavis10-object_daddy (0.4.3)
Using i18n (0.4.2)

Using ruby_core_source (0.1.5)
Using linecache19 (0.5.12)

Using mocha (0.9.12)

Using mysql (2.8.1)

Using mysql2 (0.2.13)

Using pg (0.9.0)

Using rails (2.3.14)

Using rdoc (3.9.4)

Installing rmagick (1.15.17) with native extensions

/home/xxxxxxx/.rvm/rubies/ruby-1.9.2-p290/lib/ruby/site_ruby/1.9.1/rubygems/installer.rb:551:in “rescue in

block in build_extensions': ERROR: Failed to build gem native extension.
(Gem::Installer::ExtensionBuildError)

/home/xxxxxxx/.rvm/rubies/ruby-1.9.2-p290/bin/ruby gem_extconf.rb

sh configure

Configuring RMagick 1.15.17

1/8




2020-10-25

checking for gcc... gcc

checking for C compiler default output file name... a.out
checking whether the C compiler works... yes

checking whether we are cross compiling... no

checking for suffix of executables...

checking for suffix of object files... o

checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes

checking for gcc option to accept ISO C89... none needed
checking for gcc option to accept ISO C99... -std=gnu99
checking for gcc -std=gnu99 option to accept ISO Standard C... (cached) -std=gnu99
checking for ruby... /home/xxxxxxx/.rvm/rubies/ruby-1.9.2-p290/bin/ruby
checking Ruby version... 1.9.2p290

configure: line 3049: test: 192p290: integer expression expected
checking for Magick-config... Magick-config

checking ImageMagick version... 6.5.4

checking for library containing InitializeMagick... none required
checking for snprintf... yes

checking how to run the C preprocessor... gcc -std=gnu99 -E
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E

checking for ANSI C header files... yes

checking for sys/types.h... yes

checking for sys/stat.h... yes

checking for stdlib.h... yes

checking for string.h... yes

checking for memory.h... yes

checking for strings.h... yes

checking for inttypes.h... yes

checking for stdint.h... yes

checking for unistd.h... yes

checking for sys/types.h... (cached) yes

checking for AcquireMagickMemory... yes

checking for AcquireStringlnfo... yes

checking for AdaptiveBlurimageChannel... yes

checking for AdaptiveResizelmage... yes

checking for AdaptiveSharpenimage... yes

checking for AdaptiveThresholdimage... yes

checking for AddDefinitions... no

checking for AddNoiselmageChannel... yes

checking for AllocatelmageProfilelterator... no

checking for BilevellmageChannel... yes

checking for BlackThresholdimage... yes

checking for BlurimageChannel... yes

checking for ClearMagickException... yes

checking for ComparelmageChannels... yes

checking for Comparelmagelayers... yes

checking for CompositelmageChannel... yes

checking for ContrastStretchimageChannel... yes

checking for ConvertHSLToRGB... yes

checking for ConvertRGBToHSL... yes

checking for ConvolvelmageChannel... yes

checking for EvaluatelmageChannel... yes
checking for ExportimagePixels... yes
checking for FuzzyColorCompare... yes
checking for FximageChannel... yes

checking for GammalmageChannel... yes
checking for GaussianBlurlmageChannel... yes
checking for GetBlobSize... yes

checking for GetColorHistogram... no

checking for GetColorInfoArray... no

checking for GetColorInfoList... yes

checking for GetimageChannelDepth... yes
checking for GetimageChannelDistortion... yes
checking for GetimageChannelExtrema... yes
checking for GetimageChannelMean... yes
checking for GetimageClipMask... yes
checking for GetimageHistogram... yes
checking for GetlmageProfile... yes

checking for GetimageProperty... yes

checking for GetimageQuantumDepth... yes
checking for GetlmageStatistics... no

checking for GetMagickInfoArray... no
checking for GetMagickPixelPacket... yes
checking for GetMagicklInfoList... yes

checking for GetMagickResourceLimit... yes
checking for GetMultilineTypeMetrics... yes
checking for GetNextlmageAttribute... yes
checking for GetNextimageProfile... yes
checking for GetTypelnfoList... yes

checking for GrayscalePseudoClassimage... no
checking for ImagesToBlob... yes

checking for ImportimagePixels... yes
checking for InheritException... yes

checking for InterpolatePixelColor... yes
checking for InterpretimageAttributes... yes
checking for IsColorSimilar... yes

checking for IsimageSimilar... yes

checking for LinearStretchimage... yes
checking for NegatelmageChannel... yes
checking for NormalizelmageChannel... yes
checking for OrderedPosterizelmageChannel... yes
checking for ParseSizeGeometry... yes
checking for Polaroidlmage... yes

checking for Posterizelmage... yes

checking for Previewlmage... yes

checking for QuantumOperatorRegionimage... no
checking for RadialBlurimage... yes

checking for RadialBlurimageChannel... yes
checking for RandomChannelThresholdimage... yes
checking for RandomThresholdimageChannel... yes
checking for Recolorimage... yes

checking for RemoveFirstimageFromList... yes
checking for SeparatelmageChannel... yes
checking for SepiaTonelmage... yes

checking for SetimageBackgroundColor... yes
checking for SetimageChannelDepth... yes

checking for SetimageColorspace... yes

checking for SetimageExtent... yes

checking for SetimagelnfoFile... yes

checking for SetimageOption... yes

checking for SetimageProperty... yes

checking for SetimageRegistry... yes

checking for SetimageStorageClass... yes

checking for SetimageProgressMonitor... yes
checking for ShadowImage... yes

checking for SharpenlmageChannel... yes

checking for SigmoidalContrastimageChannel... yes
checking for Sketchimage... yes

checking for Splicelmage... yes

checking for Striplmage... yes

checking for ThresholdimageChannel... yes

checking for Tintimage... yes

checking for Transposelmage... yes

checking for Transverselmage... yes

checking for UniquelmageColors... yes

checking for UnsharpMaskimageChannel... yes
checking for Vignettelmage... yes

checking for WhiteThresholdlmage... yes

checking for XImportlmage... yes

checking for MagickBooleanType... yes

checking for magick_int64_t... no

checking for magick_uint64_t... no

checking for ExtendedSignedintegralType... yes
checking for ExtendedUnsignedintegralType... yes
checking for MagickOffsetType... yes

checking for MagickSizeType... yes

checking for MagickPixelPacket... yes

checking for ExceptionInfo.module... no

checking for Image.bias... yes

checking for Image.orientation... yes

checking for Image.quality... yes

checking for Image.ticks_per_second... yes

checking for Image.transparent_color... yes

checking for Image.iptc_profile... yes

checking for Image.generic_profile... yes

checking for Image.generic_profiles... yes

checking for Imagelnfo.orientation... yes

checking for Imagelnfo.channel... yes

checking for Image.extract_info... yes

checking for CineonLogRGBColorspace enum value... no
checking for HSBColorspace enum value... yes
checking for LABColorspace enum value... yes
checking for Rec601LumaColorspace enum value... yes
checking for Rec601YCbCrColorspace enum value... yes
checking for Rec709LumaColorspace enum value... yes
checking for Rec709YCbCrColorspace enum value... yes
checking for LogColorspace enum value... yes
checking for ReplaceCompositeOp enum value... yes
checking for DstCompositeOp enum value... yes

checking for ColorDodgeCompositeOp enum value... yes
checking for IndexChannel enum value... yes

checking for GrayChannel enum value... yes

checking for AllChannels enum value... yes

checking for JPEG2000Compression enum value... yes
checking for UndefinedGravity enum value... yes

checking for QuantumPixel enum value... yes

checking for TransparentVirtualPixelMethod enum value... yes
checking for CoalescelLayer enum value... yes

checking for MaxEvaluateOperator enum value... yes
checking for PaletteBilevelMatteType enum value... yes
checking if GetimageQuantumDepth has only 1 argument... no
checking if GetColorInfoList has only 2 arguments... no
checking if GetTypelnfolList has only 2 arguments... no
checking if GetMagickinfoList has only 2 arguments... no
checking if RemovelmageProfile returns MagickBooleanType... no
checking if ColorInfo.color is a MagickPixelPacket... yes
checking if ParseSizeGeometry has 4 arguments... no
configure: creating ./config.status

config.status: creating Makefile

config.status: creating ext/RMagick/extconf.rb

config.status: creating metaconfig

config.status: creating ext/RMagick/rmagick_config.h
configure:

This installation of RMagick 1.15.17 is configured for ruby 1.9.2p290 (2011-07-09 revision 32553) [i686-linux]
and ImageMagick 6.5.4.
RMagick configuration completed successfully.

make

if test -n "/home/xxxxxxx/.rvm/gems/ruby-1.9.2-p290/gems/rmagick-1.15.17/lib"; then \
00RUBYLIBDIR=--rbdir="/home/xxxxxxx/.rvm/gems/ruby-1.9.2-p290/gems/rmagick-1.15.17/lib"; \
Ofi; \

0if test -n "/home/xxxxxxx/.rvm/gems/ruby-1.9.2-p290/gems/rmagick-1.15.17/lib"; then \

00 RUBYARCHDIR=--sodir="/home/xxxxxxx/.rvm/gems/ruby-1.9.2-p290/gems/rmagick-1.15.17/lib"; \
Ofi; \

0 /home/xxxxxxx/.rvm/rubies/ruby-1.9.2-p290/bin/ruby setup.rb config SRUBYLIBDIR $RUBYARCHDIR
--data-dir=/share

---> lib

---> lib/rvg

<--- lib/rvg

<---lib

---> ext

---> ext/RMagick

/home/xxxxxxx/.rvm/rubies/ruby-1.9.2-p290/bin/ruby
/rvm-dir/gems/ruby-1.9.2-p290/gems/rmagick-1.15.17/ext/RMagick/extconf.rb

creating Makefile

<--- ext/RMagick

<--- ext

/home/xxxxxxx/.rvm/rubies/ruby-1.9.2-p290/bin/ruby setup.rb setup

---> lib

---> lib/rvg
<--- lib/rvg
<---lib
---> ext
---> ext/RMagick
make
make[1]: Entering directory “/rvm-dir/gems/ruby-1.9.2-p290/gems/rmagick-1.15.17/ext/RMagick'’
gcc -l. -I/home/xxxxxxx/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/i686-linux
-I/home/xxxxxxx/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/backward
-I/home/xxxxxxx/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1
-I/rvm-dir/gems/ruby-1.9.2-p290/gems/rmagick-1.15.17/ext/RMagick -DRUBY_VERSION=0x192 -fopenmp
-l/usr/include/ImageMagick -fPIC -o rmimage.o -c rmimage.c
In file included from rmimage.c:9:
rmagick.h:20:20: error: intern.h: No such file or directory
In file included from rmagick.h:21,
from rmimage.c:9:
/home/xxxxxxx/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/backward/rubyio.h:2:2: warning: #warning
use "ruby/io.h" instead of "rubyio.h"
rmimage.c: In function 'Image_aref"
rmimage.c:594: warning: assignment discards qualifiers from pointer target type
rmimage.c: In function 'Image_aset'":
rmimage.c:654: warning: assignment discards qualifiers from pointer target type
rmimage.c: In function 'Image_constitute':
rmimage.c:3111: error: 'struct RArray' has no member named 'len’
rmimage.c:3114: error: 'struct RArray' has no member named 'len’
rmimage.c: In function 'Image_get_pixels":
rmimage.c:5202: warning: passing argument 1 of 'Pixel_from_PixelPacket' discards qualifiers from pointer
target type
rmagick.h:1075: note: expected 'struct PixelPacket *' but argument is of type 'const struct PixelPacket *'
rmimage.c: In function 'Image_import_pixels":
rmimage.c:5441: error: 'struct RArray' has no member named 'len’
rmimage.c:5445: error: 'struct RArray' has no member named 'len’
rmimage.c:5448: error: 'struct RArray' has no member named 'len’
rmimage.c: In function 'rd_image":
rmimage.c:7969: error: 'OpenFile' undeclared (first use in this function)
rmimage.c:7969: error: (Each undeclared identifier is reported only once
rmimage.c:7969: error: for each function it appears in.)
rmimage.c:7969: error: 'fptr' undeclared (first use in this function)
rmimage.c: In function 'Image_recolor":
rmimage.c:8016: error: 'struct RArray' has no member named 'len’
rmimage.c: In function 'Image_write":
rmimage.c:10776: error: 'OpenFile’ undeclared (first use in this function)
rmimage.c:10776: error: 'fptr' undeclared (first use in this function)
make[1]: *** [rmimage.o] Error 1
make[1]: Leaving directory */rvm-dir/gems/ruby-1.9.2-p290/gems/rmagick-1.15.17/ext/RMagick’
setup.rb:655:in “‘command': system("make") failed (RuntimeError)
0from setup.rb:664:in "make’
0from setup.rb:1258:in “setup_dir_ext'
0from setup.rb:1532:in “block in traverse'
0from setup.rb:1549:in “dive_into'
0from setup.rb:1530:in “traverse'
0from setup.rb:1534:in “block (2 levels) in traverse'
0from setup.rb:1533:in "each’
0from setup.rb:1533:in “block in traverse'

6/8




0from setup.rb:1549:in “dive_into'

0from setup.rb:1530:in “traverse'

0from setup.rb:1524:in “block in exec_task_traverse'
0from setup.rb:1519:in “each’

0from setup.rb:1519:in “exec_task_traverse'
0from setup.rb:1246:in "exec_setup'

0from setup.rb:996:in “exec_setup’

0from setup.rb:826:in “invoke'

0from setup.rb:772:in “invoke'

0from setup.rb:1578:in “<main>'

make: *** [all] Error 1

Gem files will remain installed in /home/xxxxxxx/.rvm/gems/ruby-1.9.2-p290/gems/rmagick-1.15.17 for
inspection.

Results logged to /home/xxxxxxx/.rvm/gems/ruby-1.9.2-p290/gems/rmagick-1.15.17/./gem_make.out

0 from /home/xxxxxxx/.rvm/rubies/ruby-1.9.2-p290/lib/ruby/site_ruby/1.9.1/rubygems/installer.rb:529:in “block
in build_extensions'

0 from /home/xxxxxxx/.rvm/rubies/ruby-1.9.2-p290/lib/ruby/site_ruby/1.9.1/rubygems/installer.rb:504:in “each'’
0 from /home/xxxxxxx/.rvm/rubies/ruby-1.9.2-p290/lib/ruby/site_ruby/1.9.1/rubygems/installer.rb:504:in
“build_extensions'

0 from /home/xxxxxxx/.rvm/rubies/ruby-1.9.2-p290/lib/ruby/site_ruby/1.9.1/rubygems/installer.rb:180:in “install’
0from /home/xxxxxxx/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/lib/bundler/source.rb:101:in “block in
install'

Ofrom
/home/xxxxxxx/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/lib/bundler/rubygems_integration.rb:78:in
‘preserve_paths'

0from /home/xxxxxxx/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/lib/bundler/source.rb:91:in “install’

0 from /home/xxxxxxx/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/lib/bundler/installer.rb:58:in “block (2
levels) in run’

0from
/home/xxxxxxx/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/lib/bundler/rubygems_integration.rb:93:in
‘with_build_args'

0from /home/xxxxxxx/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/lib/bundler/installer.rb:57:in “block in
run'
0from /home/xxxxxxx/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/lib/bundler/installer.rb:49:in “run’
0from /home/xxxxxxx/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/lib/bundler/installer.rb:8:in “install’
0from /home/xxxxxxx/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/lib/bundler/cli.rb:220:in “install’
0from /home/xxxxxxx/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/lib/bundler/vendor/thor/task.rb:22:in
“run’

Ofrom
/home/xxxxxxx/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/lib/bundler/vendor/thor/invocation.rb:118:in
‘invoke_task'

0from /home/xxxxxxx/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/lib/bundler/vendor/thor.rb:263:in
“dispatch’

0 from /home/xxxxxxx/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/lib/bundler/vendor/thor/base.rb:386:in
“start’

0from /home/xxxxxxx/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/bin/bundle:13:in "<top (required)>'

0 from /home/xxxxxxx/.rvm/gems/ruby-1.9.2-p290/bin/bundle:19:in “load'

0 from /home/xxxxxxx/.rvm/gems/ruby-1.9.2-p290/bin/bundle:19:in “<main>"'

</pre>
Associated revisions

2008-02-04 07:01 pm - Jean-Philippe Lang

Use Postgresql's reset_pk_sequence in Trac importer to reset issue id sequence (#595).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1119 e93f8b46-1217-0410-a6f0-8f06a7374b81

History

2011-09-15 06:28 pm - Vadim Lopatyuk
Same error. Can't install rmagick 1.15.17 with same ruby in rym. Rmagick 2.13.1 installed ok, but bundle can't work with this and still try to install
1.15.17

2011-09-16 08:34 am - Vadim Lopatyuk
correct bundled only in ruby 1.8.7

2011-09-16 02:07 pm - Andrey Mikhaylov

- Status changed from Open to Duplicate

Duplicate of https://www.chiliproject.org/issues/458
